/******************************************************************************
 * The MIT License
 *
 * Copyright (c) 2016, 2017 Paul Young
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *****************************************************************************/
 
// The library usb_reg_map.h cannot be used in this environment because
// it does arithmetic on void * pointers and has unions with const variables.
// These are the parts of that file which are necessary in order to compile,
// modified as necessary for a C/C++ environment.
//
// NOTE:  This is not a complete copy of usb_reg_map.h.  It just contains
// the pieces necessary to compile keyer_usb_cdcacm.cpp.

 #ifndef KEYER_VERSION_H
 #define KEYER_VERSION_H

// If you fix a bug increment KEYER_PAT.
// If you add a feature increment KEYER_MIN and set KEYER_PAT to 0.
// If you make an incompatible change increment KEYER_MAJ and set the
// others to 0.

#define KEYER_MAJ 1     /* Major (compatibility) version number */
#define KEYER_MIN 0     /* Minor (feature) version number */
#define KEYER_PAT 0     /* Patch (bug fix) version number */

/* This is the edit history for the Ten Dollar Keyer

Version   Author                      Change
-------   --------------------        -----------------------------------------
1.0.0     Paul Young, K1XM            First released version.


*/
#endif
